#include <stdio.h>
#include <conio.h>
#include <stdlib.h>
int key(void){int k;
printf("\n================================================================================");
printf("Выберите вариант ответа, набрав его цифру. Например :3 Нажмите Enter (Ввод)");
printf("\n                       Ваш ответ-------->:");
scanf("%d",&k);
printf("\n%d",k);
if(k<=0||k>5) k=0;
return k;
}

main()
{char s[80],fnamelog[]="BAD00000.LOG";
char t[8],cod[80],name[80],gruppa[80];
char otvet[40][20];int iotvet=0;
int i,j,rn,ot;
int r,iname;
FILE *in,*out;
l3:;

for(i=0;i<40;i++)
for(j=0;j<20;j++){
rn=rand();
if(0<=rn&&rn<=3276)      otvet[i][j]='0';
if(3276<=rn&&rn<=6553)   otvet[i][j]='1';
if(6553<=rn&&rn<=9829)   otvet[i][j]='2';
if(9829<=rn&&rn<=13105)  otvet[i][j]='3';
if(13105<=rn&&rn<=16381) otvet[i][j]='4';
if(16381<=rn&&rn<=19657) otvet[i][j]='5';
if(19657<=rn&&rn<=22933) otvet[i][j]='6';
if(22933<=rn&&rn<=26209) otvet[i][j]='7';
if(26209<=rn&&rn<=29485) otvet[i][j]='8';
if(rn>29485)             otvet[i][j]='9';
}
clrscr();
printf("\n\n\t\tСИСТЕМА АВТОМАТИЗИРОВАННОГО ТЕСТИРОВАНИЯ");
printf("\n\n\t\tВведите ваш регистрационный код");
printf("\n\n\t\tРегистрационный код ---->:");
gets(cod);
if(cod[0]=='0'&&cod[1]=='0'&&cod[6]=='0'&&cod[7]=='0'){exit(13);};
if(cod[0]=='A'&&cod[1]=='V'&&cod[6]=='X'&&cod[7]=='Z'){
printf("\n\n Ваш регистрационный код принят.\n Начало регистрации");
printf("\nВводите данные о себе.");
} else {printf("\n\n\t\t Ваш регистрационный код ошибочен!");
printf("\n\n\t\tПопробуйте ввести его еще раз!---->:");
while(!kbhit());clrscr(); goto l3;}
in=fopen("vopros.vpr","rb");
if(ferror(in)) {printf("\n File VOPROS.VPR not found!!!\n ");exit(13);}
fnamelog[0]=cod[0];
fnamelog[1]=cod[1];
fnamelog[2]=cod[2];
fnamelog[3]=cod[3];
fnamelog[4]=cod[4];
fnamelog[5]=cod[5];
fnamelog[6]=cod[6];
fnamelog[7]=cod[7];
out=fopen(fnamelog,"at");
l4:clrscr();
printf("\n\n\t\t\tВаша Фамилия Имя Отчество\n");
printf("\t\t\tНапример, :Иванов Иван Иванович\n");
printf("\t\t\tили     :Ivanov Ivan Ivanovich\n");
printf("\t\t\t:");
gets(name);
iname=strlen(name);
if(iname==0) goto l4;
for(i=1;i<iname;i++){
if(name[i]!=' ') goto l5;
goto l4;}
l5:;
fprintf(out,"\n");
fprintf(out,"%s\n",name);
l6:clrscr();
printf("\n\n\t\t\tВаша учебная группа\n");
printf("\t\t\tНапример, :896\n");
printf("\t\t\tили :000 если Вы не студент\n");
printf("\t\t\t:");
gets(gruppa);
iname=strlen(gruppa);
if(iname==0) goto l6;
for(i=1;i<iname;i++){
if(gruppa[i]!=' ') goto l7;
goto l6;}
l7:;
fprintf(out,"%s\n",gruppa);
fprintf(out,"OP------------------------------------------");
clrscr();
l1:;
fgets(s,80,in);
if(s[0]=='S'&&s[1]=='T'&&s[2]=='O'&&s[3]=='P') {fclose(in); goto l2;}
if(s[0]!='V'&&s[1]!='P') printf("%s",s);
if(s[0]=='V'&&s[1]=='P') {
/* Обработка ответа */
ot=key();
otvet[iotvet][13]='0';
if (ot==1) otvet[iotvet][13]='1';
if (ot==2) otvet[iotvet][13]='2';
if (ot==3) otvet[iotvet][13]='3';
if (ot==4) otvet[iotvet][13]='4';
if (ot==5) otvet[iotvet][13]='5';
iotvet++;clrscr();
}
goto l1;
l2:;
clrscr();
fprintf(out,"\n");
for(i=0;i<40;i++){
for(j=0;j<20;j++) fprintf(out,"%c",otvet[i][j]);
fprintf(out,"\n");}
fprintf(out,"ST===========================================================\n");
printf("\n\n\n\t\t\t Опрос окончен!");sleep(5);
return 20;
}
